Skip to main content
`Ctrl`+`K`

# TaoTermGetParametersLayout

Get the layouts describing the parameter vectors of a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetParametersLayout(TaoTerm term, PetscLayout *parameters_layout)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- parameters_layout - the `PetscLayout` for the parameter space

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetParametersVecType()`, `TaoTermSetParametersVecType()`, `TaoTermSetParametersLayout()`, `TaoTermSetSolutionTemplate()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateParametersVec()`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages